org.apache.avro.perf.test.reflect

## Class ReflectBigRecordTest

- java.lang.Object
- - org.apache.avro.perf.test.reflect.ReflectBigRecordTest

Direct Known Subclasses:
  ReflectBigRecordTest_jmhType_B1

    public class ReflectBigRecordTest
    extends Object

### Nested Class Summary

Nested Classes
`static class` `ReflectBigRecordTest.TestStateDecode`
`static class` `ReflectBigRecordTest.TestStateEncode`

### Constructor Summary

Constructors
Constructor and Description
`ReflectBigRecordTest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `decode(org.openjdk.jmh.infra.Blackhole blackhole, ReflectBigRecordTest.TestStateDecode state)`
`void` `encode(ReflectBigRecordTest.TestStateEncode state)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReflectBigRecordTest

    public ReflectBigRecordTest()

### Method Detail

#### encode

    public void encode(ReflectBigRecordTest.TestStateEncode state)
                throws Exception

Throws:
  `Exception`

#### decode

    public void decode(org.openjdk.jmh.infra.Blackhole blackhole,
                       ReflectBigRecordTest.TestStateDecode state)
                throws Exception

Throws:
  `Exception`